/**
* La hora local en tiempo real.
* Basado en now.js, v 1.3
* 1.0 - 18/10/2012 - ALD
* 1.1 - 19/10/2012 - ALD Corrige obtencion de la fecha.
*/

var fhArr = thisTime.split(' ');
var dateArr = fhArr[0].split('/');
var timeArr = fhArr[1].split(':');
var tInicial = new Date();
var tOffset = new Date();

tInicial.setFullYear(dateArr[2]);
tInicial.setMonth(1*strip0(dateArr[1]) - 1);
tInicial.setDate(strip0(dateArr[0]));
tInicial.setHours(strip0(timeArr[0]));
tInicial.setMinutes(strip0(timeArr[1]));
tInicial.setSeconds(strip0(timeArr[2]));

function offsetNow() {
  var ahora = new Date();
  return ahora.getTime() - tOffset.getTime();
};

function getHoraMin() {
  var fecha = new Date;
  fecha.setTime(tInicial.getTime() + offsetNow());
  var hora = fecha.getHours();
  var min = fecha.getMinutes();
  return w2(hora,2) + ':' + w2(min,2);
}; // getHoraMin

function getFecha() {
  var meses = new Array('enero','febrero','marzo','abril','mayo','junio',
                      'julio','agosto','septiembre','octubre','noviembre','diciembre');
  var fecha = new Date;
  fecha.setTime(tInicial.getTime() + offsetNow());
  var dia = fecha.getDate();
  var mes = meses[fecha.getMonth()];
  var ano = fecha.getFullYear();
  return dia + ' de ' + mes + ' de ' + ano;
}; // getFecha

function w2(num,n) {
  var potencia = Math.pow(10,n);
  num = potencia + parseInt(num, 10);
  var a = num + '';
  a = a.substr(a.length - n, n);
  return a;
}; // w2

function strip0(num) {
  return num.replace(/^0/g,'');
}; // strip0

// Visualizacion
function displayTime() {
    // Fecha
    var Fecha = document.getElementById("horaFecha");
    Fecha.innerHTML = getFecha();

    // Hora
    var Hora = document.getElementById("horaHora");
    Hora.innerHTML = getHoraMin();
};

// Recarga
setInterval(function() {
    displayTime();
},1000);
